ARG GOLANG_VERSION=1.20.3
ARG BUILDARGS

FROM golang:$GOLANG_VERSION-buster as builder
WORKDIR /ekms/
COPY . .
RUN --mount=type=cache,target=/root/go/pkg/mod \
    --mount=type=cache,target=/root/.cache/go-build \
    make build

FROM ubuntu:22.04 as ubuntu
RUN apt-get update && apt-get upgrade -y
RUN apt-get install -y iproute2
RUN apt-get install -y iputils-ping
RUN apt-get install -y openssh-client openssh-server
RUN apt-get install -y libssl-dev
COPY --from=builder ekms/artifacts/ekms /usr/bin/ekms
COPY --from=builder ekms/config/.example.yaml /usr/bin/config/kms.yaml
EXPOSE 7030
EXPOSE 50900
ENTRYPOINT ["/usr/bin/ekms"]
CMD [ "start", "--log", "debug" ]

FROM debian:11 as debian
RUN apt-get update && apt-get upgrade -y
RUN apt-get install -y iproute2
RUN apt-get install -y iputils-ping
RUN apt-get install -y openssh-client openssh-server
RUN apt-get install -y libssl-dev
COPY --from=builder ekms/artifacts/ekms /usr/bin/ekms
COPY --from=builder ekms/config/.example.yaml /usr/bin/config/kms.yaml
EXPOSE 7030
EXPOSE 50900
ENTRYPOINT ["/usr/bin/ekms"]
CMD [ "start", "--log", "debug" ]
